Bug 732272 - Bonding fails - when nics order is not sorted
Summary: Bonding fails - when nics order is not sorted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Federico Simoncelli
QA Contact: Kiril Nesenko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-21 13:29 UTC by Gilad Chaplik
Modified: 2014-07-11 00:08 UTC (History)
8 users (show)

Fixed In Version: vdsm-4.9-96.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 07:37:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:1782 normal SHIPPED_LIVE new packages: vdsm 2011-12-06 11:55:51 UTC

Description Gilad Chaplik 2011-08-21 13:29:55 UTC
vdsm fail creating bond when nics are not in order, ie.
when passing nics [eth5, eth0] vdsm fail with error "mac address is wrong"
if passing nics [eth0, eth5] vdsm will create the bond

this is a sample of fail input: 

Thread-91::DEBUG::2011-08-18 17:11:53,759::clientIF::54::vds::(wrapper)
[10.35.1.90]::call editNetwork with ('rhevm', 'rhevm', '', 'bond4', ['eth5', 'eth0'], {'connectivityCheck': 'true', 'BOOTPROTO': 'dhcp',
'STP': 'no', 'connectivityTimeout': '120', 'BONDING_OPTS': 'mode=4'}) {}

Comment 6 Kiril Nesenko 2011-09-05 07:22:10 UTC
Verified
ic139
vdsm-4.9-96.el6.x86_64

Comment 7 errata-xmlrpc 2011-12-06 07:37:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2011-1782.html


Note You need to log in before you can comment on or make changes to this bug.